ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.110 by ayin, Thu Aug 2 00:29:23 2007 UTC vs.
Revision 1.114 by ayin, Wed Oct 31 12:00:52 2007 UTC

1317 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 1317 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1318 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1318 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1319 --enable-everything enable standard non-multichoice features 1319 --enable-everything enable standard non-multichoice features
1320 NOTE: this option is order dependent 1320 NOTE: this option is order dependent
1321 NOTE: automatically enabled with --enable-shared 1321 NOTE: automatically enabled with --enable-shared
1322 --enable-warnings turn on g++ warnings
1322 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1323 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1323 --enable-combining enable composition of base and combining characters 1324 --enable-combining enable composition of base and combining characters
1324 --enable-xft enable xft support on systems that have it 1325 --enable-xft enable xft support on systems that have it
1325 --enable-font-styles enable bold and italic support 1326 --enable-font-styles enable bold and italic support
1326 --enable-afterimage enable integration with libAfterImage for background images 1327 --enable-afterimage enable integration with libAfterImage for background images
1327 --enable-transparency enable transparent backgrounds 1328 --enable-transparency enable transparent backgrounds
1328 --enable-tinting enable tinting of transparent bg
1329 --enable-fading enable colors fading when off focus 1329 --enable-fading enable colors fading when off focus
1330 --enable-rxvt-scroll enable rxvt style scrollbar 1330 --enable-rxvt-scroll enable rxvt style scrollbar
1331 --enable-next-scroll enable NeXT style scrollbar 1331 --enable-next-scroll enable NeXT style scrollbar
1332 --enable-xterm-scroll enable Xterm style scrollbar 1332 --enable-xterm-scroll enable Xterm style scrollbar
1333 --enable-perl enable embedded perl interpreter 1333 --enable-perl enable embedded perl interpreter
1335 --enable-xim XIM (X Input Method) protocol support 1335 --enable-xim XIM (X Input Method) protocol support
1336 --disable-backspace-key disable handling of the backspace key 1336 --disable-backspace-key disable handling of the backspace key
1337 --disable-delete-key disable handling of the delete key 1337 --disable-delete-key disable handling of the delete key
1338 --disable-resources disable all resource checking 1338 --disable-resources disable all resource checking
1339 --enable-8bitctrls enable 8 bit control sequences (not recommended) 1339 --enable-8bitctrls enable 8 bit control sequences (not recommended)
1340 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 1340 --enable-fallback[=CLASS] fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
1341 --disable-swapscreen disable swap screen support 1341 --disable-swapscreen disable swap screen support
1342 --enable-iso14755 enable support for extended ISO 14755 modes 1342 --enable-iso14755 enable support for extended ISO 14755 modes
1343 --enable-frills enable support for rarely used features 1343 --enable-frills enable support for rarely used features
1344 --enable-keepscrolling enable continual scrolling on scrollbar arrow press 1344 --enable-keepscrolling enable continual scrolling on scrollbar arrow press
1345 --enable-selectionscrolling enable scrolling during selections 1345 --enable-selectionscrolling enable scrolling during selections
1346 --enable-mousewheel enable scrolling via mouse wheel or buttons 4 & 5 1346 --enable-mousewheel enable scrolling via mouse wheel or buttons 4 & 5
1347 --enable-slipwheeling enable slip wheel scrolling (requires previous) 1347 --enable-slipwheeling enable slip wheel scrolling (requires --enable-mousewheel)
1348 --enable-smart-resize enable smart growth/shrink behaviour 1348 --enable-smart-resize enable smart growth/shrink behaviour
1349 --enable-text-blink enable blinking text 1349 --enable-text-blink enable blinking text
1350 --enable-pointer-blank enable pointer blank when typing or inactive pointer 1350 --enable-pointer-blank enable pointer blank when typing or inactive pointer
1351 --enable-utmp enable utmp (utmpx) support 1351 --enable-utmp enable utmp (utmpx) support
1352 --enable-wtmp enable wtmp (wtmpx) support (requires --enable-utmp) 1352 --enable-wtmp enable wtmp (wtmpx) support (requires --enable-utmp)
1354 1354
1355Optional Packages: 1355Optional Packages:
1356 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 1356 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
1357 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 1357 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1358 --with-afterimage-config=DIR use libAfterImage config script in DIR 1358 --with-afterimage-config=DIR use libAfterImage config script in DIR
1359 --with-codesets=NAME,.. compile in additional codesets (jp,jp_ext,kr,zh,zh_ext,all) 1359 --with-codesets=CS,... compile in additional codesets (jp,jp_ext,kr,zh,zh_ext,all)
1360 --with-res-name=NAME use this as default resource name (default: urxvt) 1360 --with-res-name=NAME use this as default resource name (default: urxvt)
1361 --with-res-class=CLASS use this as the resource class (default: URxvt) 1361 --with-res-class=CLASS use this as the resource class (default: URxvt)
1362 --with-name=NAME set the basename for the installed binaries (default: urxvt) 1362 --with-name=NAME set the basename for the installed binaries (default: urxvt)
1363 --with-term=NAME set the terminal to NAME (default: rxvt) 1363 --with-term=NAME set the terminal to NAME (default: rxvt)
1364 --with-terminfo=PATH set the path to the terminfo tree to PATH 1364 --with-terminfo=PATH set the path to the terminfo tree to PATH
3870LINKER=$LINKER 3870LINKER=$LINKER
3871 3871
3872 3872
3873if test -z "$orig_CXXFLAGS"; then 3873if test -z "$orig_CXXFLAGS"; then
3874 if test x$GCC = xyes && test "x$GXX" = xyes; then 3874 if test x$GCC = xyes && test "x$GXX" = xyes; then
3875 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3875 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
3876 cat >conftest.$ac_ext <<_ACEOF 3876 cat >conftest.$ac_ext <<_ACEOF
3877/* confdefs.h. */ 3877/* confdefs.h. */
3878_ACEOF 3878_ACEOF
3879cat confdefs.h >>conftest.$ac_ext 3879cat confdefs.h >>conftest.$ac_ext
3880cat >>conftest.$ac_ext <<_ACEOF 3880cat >>conftest.$ac_ext <<_ACEOF
4393 4393
4394 4394
4395 4395
4396support_frills=yes 4396support_frills=yes
4397support_inheritpixmap=yes 4397support_inheritpixmap=yes
4398support_tinting=yes
4399support_fading=yes 4398support_fading=yes
4400support_keepscrolling=yes 4399support_keepscrolling=yes
4401support_selectionscrolling=yes 4400support_selectionscrolling=yes
4402support_mousewheel=yes 4401support_mousewheel=yes
4403support_mouseslipwheel=yes 4402support_mouseslipwheel=yes
4434if test "${enable_everything+set}" = set; then 4433if test "${enable_everything+set}" = set; then
4435 enableval=$enable_everything; 4434 enableval=$enable_everything;
4436 if test x$enableval = xno; then 4435 if test x$enableval = xno; then
4437 support_frills=no 4436 support_frills=no
4438 support_inheritpixmap=no 4437 support_inheritpixmap=no
4439 support_tinting=no
4440 support_fading=no 4438 support_fading=no
4441 support_keepscrolling=no 4439 support_keepscrolling=no
4442 support_selectionscrolling=no 4440 support_selectionscrolling=no
4443 support_lastlog=no 4441 support_lastlog=no
4444 support_mousewheel=no 4442 support_mousewheel=no
4464 codesets= 4462 codesets=
4465 fi 4463 fi
4466 if test x$enableval = xyes; then 4464 if test x$enableval = xyes; then
4467 support_frills=yes 4465 support_frills=yes
4468 support_inheritpixmap=yes 4466 support_inheritpixmap=yes
4469 support_tinting=yes
4470 support_fading=yes 4467 support_fading=yes
4471 support_keepscrolling=yes 4468 support_keepscrolling=yes
4472 support_selectionscrolling=yes 4469 support_selectionscrolling=yes
4473 support_lastlog=yes 4470 support_lastlog=yes
4474 support_mousewheel=yes 4471 support_mousewheel=yes
4495 fi 4492 fi
4496 4493
4497fi 4494fi
4498 4495
4499 4496
4497WARNINGS=no
4498# Check whether --enable-warnings was given.
4499if test "${enable_warnings+set}" = set; then
4500 enableval=$enable_warnings; if test x$enableval = xyes; then
4501 WARNINGS=yes
4502 fi
4503fi
4504
4505if test x$GXX = xyes; then
4506 if test $WARNINGS = yes; then
4507 save_CXXFLAGS="$CXXFLAGS"
4508 CXXFLAGS="$CXXFLAGS -Wall -Wno-sign-compare -Wno-reorder -Wno-non-virtual-dtor"
4509 cat >conftest.$ac_ext <<_ACEOF
4510/* confdefs.h. */
4511_ACEOF
4512cat confdefs.h >>conftest.$ac_ext
4513cat >>conftest.$ac_ext <<_ACEOF
4514/* end confdefs.h. */
4515
4516int
4517main ()
4518{
4519
4520 ;
4521 return 0;
4522}
4523_ACEOF
4524rm -f conftest.$ac_objext
4525if { (ac_try="$ac_compile"
4526case "(($ac_try" in
4527 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4528 *) ac_try_echo=$ac_try;;
4529esac
4530eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4531 (eval "$ac_compile") 2>conftest.er1
4532 ac_status=$?
4533 grep -v '^ *+' conftest.er1 >conftest.err
4534 rm -f conftest.er1
4535 cat conftest.err >&5
4536 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4537 (exit $ac_status); } && {
4538 test -z "$ac_cxx_werror_flag" ||
4539 test ! -s conftest.err
4540 } && test -s conftest.$ac_objext; then
4541 :
4542else
4543 echo "$as_me: failed program was:" >&5
4544sed 's/^/| /' conftest.$ac_ext >&5
4545
4546 CXXFLAGS="$save_CXXFLAGS"
4547fi
4548
4549rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4550 else
4551 CXXFLAGS="$CXXFLAGS -w"
4552 fi
4553fi
4554
4500# Check whether --enable-unicode3 was given. 4555# Check whether --enable-unicode3 was given.
4501if test "${enable_unicode3+set}" = set; then 4556if test "${enable_unicode3+set}" = set; then
4502 enableval=$enable_unicode3; if test x$enableval = xyes -o x$enableval = xno; then 4557 enableval=$enable_unicode3; if test x$enableval = xyes -o x$enableval = xno; then
4503 support_unicode3=$enableval 4558 support_unicode3=$enableval
4504 fi 4559 fi
4549 4604
4550# Check whether --enable-transparency was given. 4605# Check whether --enable-transparency was given.
4551if test "${enable_transparency+set}" = set; then 4606if test "${enable_transparency+set}" = set; then
4552 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then 4607 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then
4553 support_inheritpixmap=$enableval 4608 support_inheritpixmap=$enableval
4554 fi
4555fi
4556
4557
4558# Check whether --enable-tinting was given.
4559if test "${enable_tinting+set}" = set; then
4560 enableval=$enable_tinting; if test x$enableval = xyes -o x$enableval = xno; then
4561 support_tinting=$enableval
4562 fi 4609 fi
4563fi 4610fi
4564 4611
4565 4612
4566# Check whether --enable-fading was given. 4613# Check whether --enable-fading was given.
4871 fi 4918 fi
4872done 4919done
4873done 4920done
4874IFS=$as_save_IFS 4921IFS=$as_save_IFS
4875 4922
4923 test -z "$ac_cv_path_TIC" && ac_cv_path_TIC=":"
4876 ;; 4924 ;;
4877esac 4925esac
4878fi 4926fi
4879TIC=$ac_cv_path_TIC 4927TIC=$ac_cv_path_TIC
4880if test -n "$TIC"; then 4928if test -n "$TIC"; then
11299_ACEOF 11347_ACEOF
11300 11348
11301fi 11349fi
11302 11350
11303 11351
11304ac_save_LIBS=$LIBS 11352save_LIBS=$LIBS
11305ac_save_CFLAGS=$CFLAGS 11353save_CFLAGS=$CFLAGS
11306CFLAGS="$CFLAGS $X_CFLAGS" 11354CFLAGS="$CFLAGS $X_CFLAGS"
11307LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" 11355LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
11356if test x$support_xim = xyes; then
11308{ echo "$as_me:$LINENO: checking for working Xlocale" >&5 11357 { echo "$as_me:$LINENO: checking for working Xlocale" >&5
11309echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; } 11358echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; }
11310if test "${rxvt_cv_func_xlocale+set}" = set; then 11359if test "${rxvt_cv_func_xlocale+set}" = set; then
11311 echo $ECHO_N "(cached) $ECHO_C" >&6 11360 echo $ECHO_N "(cached) $ECHO_C" >&6
11312else 11361else
11313 if test "$cross_compiling" = yes; then 11362 if test "$cross_compiling" = yes; then
11314 : 11363 :
11315else 11364else
11316 cat >conftest.$ac_ext <<_ACEOF 11365 cat >conftest.$ac_ext <<_ACEOF
11317/* confdefs.h. */ 11366/* confdefs.h. */
11318_ACEOF 11367_ACEOF
11319cat confdefs.h >>conftest.$ac_ext 11368cat confdefs.h >>conftest.$ac_ext
11320cat >>conftest.$ac_ext <<_ACEOF 11369cat >>conftest.$ac_ext <<_ACEOF
11321/* end confdefs.h. */ 11370/* end confdefs.h. */
11322#include <X11/Xlib.h> 11371#include <X11/Xlib.h>
11323#include <stdlib.h> 11372 #include <stdlib.h>
11324main() { 11373 main() {
11325char *p; 11374 char *p;
11326if ((p = XSetLocaleModifiers("@im=none")) != NULL && *p) 11375 if ((p = XSetLocaleModifiers("@im=none")) != NULL && *p)
11327exit (XSupportsLocale() ? 0 : 1); 11376 exit (XSupportsLocale() ? 0 : 1);
11328else 11377 else
11329exit (1);} 11378 exit (1);}
11330_ACEOF 11379_ACEOF
11331rm -f conftest$ac_exeext 11380rm -f conftest$ac_exeext
11332if { (ac_try="$ac_link" 11381if { (ac_try="$ac_link"
11333case "(($ac_try" in 11382case "(($ac_try" in
11334 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 11383 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11346eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 11395eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11347 (eval "$ac_try") 2>&5 11396 (eval "$ac_try") 2>&5
11348 ac_status=$? 11397 ac_status=$?
11349 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11398 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11350 (exit $ac_status); }; }; then 11399 (exit $ac_status); }; }; then
11351 rxvt_cv_func_xlocale=yes 11400 rxvt_cv_func_xlocale=yes
11352else 11401else
11353 echo "$as_me: program exited with status $ac_status" >&5 11402 echo "$as_me: program exited with status $ac_status" >&5
11354echo "$as_me: failed program was:" >&5 11403echo "$as_me: failed program was:" >&5
11355sed 's/^/| /' conftest.$ac_ext >&5 11404sed 's/^/| /' conftest.$ac_ext >&5
11356 11405
11362 11411
11363 11412
11364fi 11413fi
11365{ echo "$as_me:$LINENO: result: $rxvt_cv_func_xlocale" >&5 11414{ echo "$as_me:$LINENO: result: $rxvt_cv_func_xlocale" >&5
11366echo "${ECHO_T}$rxvt_cv_func_xlocale" >&6; } 11415echo "${ECHO_T}$rxvt_cv_func_xlocale" >&6; }
11367if test x$support_xim = xyes; then
11368 if test x$rxvt_cv_func_xlocale = xyes; then 11416 if test x$rxvt_cv_func_xlocale = xyes; then
11369 11417
11370cat >>confdefs.h <<\_ACEOF 11418cat >>confdefs.h <<\_ACEOF
11371#define USE_XIM 1 11419#define USE_XIM 1
11372_ACEOF 11420_ACEOF
11373 11421
11422 { echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11423echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6; }
11424if test "${rxvt_broken_ximcb+set}" = set; then
11425 echo $ECHO_N "(cached) $ECHO_C" >&6
11426else
11427 cat >conftest.$ac_ext <<_ACEOF
11428
11429 #include <X11/Xlib.h>
11430
11431 void im_destroy_cb (XIC unused1, XPointer client_data, XPointer unused3);
11432
11433 void f() {
11434 XIMCallback cb;
11435 cb.callback = im_destroy_cb;
11436 }
11437
11438_ACEOF
11439rm -f conftest.$ac_objext
11440if { (ac_try="$ac_compile"
11441case "(($ac_try" in
11442 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11443 *) ac_try_echo=$ac_try;;
11444esac
11445eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11446 (eval "$ac_compile") 2>conftest.er1
11447 ac_status=$?
11448 grep -v '^ *+' conftest.er1 >conftest.err
11449 rm -f conftest.er1
11450 cat conftest.err >&5
11451 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11452 (exit $ac_status); } && {
11453 test -z "$ac_cxx_werror_flag" ||
11454 test ! -s conftest.err
11455 } && test -s conftest.$ac_objext; then
11456 rxvt_broken_ximcb=yes
11457else
11458 echo "$as_me: failed program was:" >&5
11459sed 's/^/| /' conftest.$ac_ext >&5
11460
11461 rxvt_broken_ximcb=no
11462fi
11463
11464rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11465fi
11466{ echo "$as_me:$LINENO: result: $rxvt_broken_ximcb" >&5
11467echo "${ECHO_T}$rxvt_broken_ximcb" >&6; }
11468
11469 if test x$rxvt_broken_ximcb = xyes; then
11470
11471cat >>confdefs.h <<\_ACEOF
11472#define XIMCB_PROTO_BROKEN 1
11473_ACEOF
11474
11475 fi
11374 fi 11476 fi
11375fi 11477fi
11376 11478
11377{ echo "$as_me:$LINENO: checking for working X setlocale" >&5 11479{ echo "$as_me:$LINENO: checking for working X setlocale" >&5
11378echo $ECHO_N "checking for working X setlocale... $ECHO_C" >&6; } 11480echo $ECHO_N "checking for working X setlocale... $ECHO_C" >&6; }
11431cat >>confdefs.h <<\_ACEOF 11533cat >>confdefs.h <<\_ACEOF
11432#define HAVE_XSETLOCALE 1 11534#define HAVE_XSETLOCALE 1
11433_ACEOF 11535_ACEOF
11434 11536
11435fi 11537fi
11436LIBS=$ac_save_LIBS 11538LIBS=$save_LIBS
11437CFLAGS=$ac_save_CFLAGS 11539CFLAGS=$save_CFLAGS
11438 11540
11439{ echo "$as_me:$LINENO: checking for working plain setlocale" >&5 11541{ echo "$as_me:$LINENO: checking for working plain setlocale" >&5
11440echo $ECHO_N "checking for working plain setlocale... $ECHO_C" >&6; } 11542echo $ECHO_N "checking for working plain setlocale... $ECHO_C" >&6; }
11441if test "${rxvt_cv_func_setlocale+set}" = set; then 11543if test "${rxvt_cv_func_setlocale+set}" = set; then
11442 echo $ECHO_N "(cached) $ECHO_C" >&6 11544 echo $ECHO_N "(cached) $ECHO_C" >&6
11645 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5 11747 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
11646echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;} 11748echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
11647 { (exit 1); exit 1; }; } 11749 { (exit 1); exit 1; }; }
11648fi 11750fi
11649 11751
11650
11651{ echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11652echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6; }
11653if test "${rxvt_broken_ximcb+set}" = set; then
11654 echo $ECHO_N "(cached) $ECHO_C" >&6
11655else
11656 cat >conftest.$ac_ext <<_ACEOF
11657
11658#include <X11/Xlib.h>
11659
11660void im_destroy_cb (XIC unused1, XPointer client_data, XPointer unused3);
11661
11662void f() {
11663 XIMCallback cb;
11664 cb.callback = im_destroy_cb;
11665}
11666
11667_ACEOF
11668rm -f conftest.$ac_objext
11669if { (ac_try="$ac_compile"
11670case "(($ac_try" in
11671 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11672 *) ac_try_echo=$ac_try;;
11673esac
11674eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11675 (eval "$ac_compile") 2>conftest.er1
11676 ac_status=$?
11677 grep -v '^ *+' conftest.er1 >conftest.err
11678 rm -f conftest.er1
11679 cat conftest.err >&5
11680 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11681 (exit $ac_status); } && {
11682 test -z "$ac_cxx_werror_flag" ||
11683 test ! -s conftest.err
11684 } && test -s conftest.$ac_objext; then
11685 rxvt_broken_ximcb=yes
11686else
11687 echo "$as_me: failed program was:" >&5
11688sed 's/^/| /' conftest.$ac_ext >&5
11689
11690 rxvt_broken_ximcb=no
11691fi
11692
11693rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11694fi
11695{ echo "$as_me:$LINENO: result: $rxvt_broken_ximcb" >&5
11696echo "${ECHO_T}$rxvt_broken_ximcb" >&6; }
11697
11698if test x$rxvt_broken_ximcb = xyes; then
11699
11700cat >>confdefs.h <<\_ACEOF
11701#define XIMCB_PROTO_BROKEN 1
11702_ACEOF
11703
11704fi
11705 11752
11706 11753
11707 11754
11708 11755
11709 11756
12692cat >>confdefs.h <<\_ACEOF 12739cat >>confdefs.h <<\_ACEOF
12693#define OFF_FOCUS_FADING 1 12740#define OFF_FOCUS_FADING 1
12694_ACEOF 12741_ACEOF
12695 12742
12696fi 12743fi
12697if test x$support_tinting = xyes; then
12698
12699cat >>confdefs.h <<\_ACEOF
12700#define TINTING 1
12701_ACEOF
12702
12703fi
12704if test x$support_inheritpixmap = xyes; then 12744if test x$support_inheritpixmap = xyes; then
12705 12745
12706cat >>confdefs.h <<\_ACEOF 12746cat >>confdefs.h <<\_ACEOF
12707#define ENABLE_TRANSPARENCY 1 12747#define ENABLE_TRANSPARENCY 1
12708_ACEOF 12748_ACEOF
12720cat >>confdefs.h <<\_ACEOF 12760cat >>confdefs.h <<\_ACEOF
12721#define SELECTION_SCROLLING 1 12761#define SELECTION_SCROLLING 1
12722_ACEOF 12762_ACEOF
12723 12763
12724fi 12764fi
12765if test x$support_frills = xyes; then
12766
12767cat >>confdefs.h <<\_ACEOF
12768#define ENABLE_FRILLS 1
12769_ACEOF
12770
12771fi
12725if test x$support_mousewheel = xyes; then 12772if test x$support_mousewheel = xyes; then
12726 12773
12727cat >>confdefs.h <<\_ACEOF 12774cat >>confdefs.h <<\_ACEOF
12728#define MOUSE_WHEEL 1 12775#define MOUSE_WHEEL 1
12729_ACEOF 12776_ACEOF
12742#define HAVE_AFTERIMAGE 1 12789#define HAVE_AFTERIMAGE 1
12743_ACEOF 12790_ACEOF
12744 12791
12745 12792
12746cat >>confdefs.h <<\_ACEOF 12793cat >>confdefs.h <<\_ACEOF
12747#define XPM_BACKGROUND 1 12794#define BG_IMAGE_FROM_FILE 1
12748_ACEOF 12795_ACEOF
12749 12796
12750fi 12797fi
12751 12798
12752 12799
13024 13071
13025 13072
13026 13073
13027 13074
13028 13075
13029
13030if test x$support_perl = xyes; then
13031 support_frills=yes
13032fi
13033
13034if test x$support_frills = xyes; then
13035
13036cat >>confdefs.h <<\_ACEOF
13037#define ENABLE_FRILLS 1
13038_ACEOF
13039
13040fi
13041 13076
13042 13077
13043 13078
13044 13079
13045 13080

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines